# QLabel Class Reference

### [com.trolltech.qt.gui package]

Inherits QFrame.

### Constructor

- void QLabel(QWidget parent, WindowFlags f)
- void QLabel(String text, QWidget parent, WindowFlags f)

### Constructor Properties

- prototype: The QLabel prototype object

### Prototype Object Properties

The QLabel prototype object inherits properties from the QFrame prototype object and also has the following properties.

- QWidget buddy()
- QSize minimumSizeHint()
- QMovie movie()
- QPicture picture_private()
- int selectionStart()
- void setBuddy(QWidget arg__1)
- void setSelection(int arg__1, int arg__2)

### Instance Properties

QLabel objects inherit properties from the QLabel prototype object and also have the following properties.

- text
- textFormat
- pixmap
- scaledContents
- alignment
- wordWrap
- margin
- indent
- openExternalLinks
- textInteractionFlags
- hasSelectedText
- selectedText